Package org.apache.sling.resourceresolver.impl.helper

# Class RedirectResource

java.lang.Object
org.apache.sling.api.adapter.SlingAdaptable
org.apache.sling.api.resource.AbstractResource
org.apache.sling.api.resource.SyntheticResource
org.apache.sling.resourceresolver.impl.helper.RedirectResource

All Implemented Interfaces:
  `org.apache.sling.api.adapter.Adaptable`, `org.apache.sling.api.resource.Resource`

@Adaptable(adaptableClass=org.apache.sling.api.resource.Resource.class, adapters=@Adapter({java.util.Map.class,org.apache.sling.api.resource.ValueMap.class})) public final class RedirectResource extends org.apache.sling.api.resource.SyntheticResource

## Field Summary

### Fields inherited from interface org.apache.sling.api.resource.Resource

`RESOURCE_TYPE_NON_EXISTING`

## Constructor Summary

Constructors
Constructor
Description
`RedirectResource(org.apache.sling.api.resource.ResourceResolver resolver, String path, String target, int status)`

## Method Summary

Modifier and Type
Method
Description
`<AdapterType>
AdapterType`
`adaptTo(Class<AdapterType> type)`
`String`
`toString()`

### Methods inherited from class org.apache.sling.api.resource.SyntheticResource

`getPath, getResourceMetadata, getResourceResolver, getResourceSuperType, getResourceType`

### Methods inherited from class org.apache.sling.api.resource.AbstractResource

`getChild, getChildren, getName, getParent, getValueMap, hasChildren, isResourceType, listChildren`

### Methods inherited from class org.apache.sling.api.adapter.SlingAdaptable

`setAdapterManager, unsetAdapterManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RedirectResource

public RedirectResource(org.apache.sling.api.resource.ResourceResolver resolver, String path, String target, int status)

## Method Details

### adaptTo

public <AdapterType> AdapterType adaptTo(Class<AdapterType> type)

Specified by:
  `adaptTo` in interface `org.apache.sling.api.adapter.Adaptable`
Overrides:
  `adaptTo` in class `org.apache.sling.api.adapter.SlingAdaptable`
See Also:
  - `Adaptable.adaptTo(java.lang.Class)`

### toString

public String toString()

Overrides:
  `toString` in class `org.apache.sling.api.resource.SyntheticResource`